org.keycloak.authorization.policy.evaluation

## Class PermissionTicketAwareDecisionResultCollector

- java.lang.Object
- - org.keycloak.authorization.policy.evaluation.AbstractDecisionCollector
  - - org.keycloak.authorization.policy.evaluation.DecisionPermissionCollector
    - - org.keycloak.authorization.policy.evaluation.PermissionTicketAwareDecisionResultCollector

- All Implemented Interfaces:
    Decision<DefaultEvaluation>

      public class PermissionTicketAwareDecisionResultCollector
      extends DecisionPermissionCollector

  Author:
    Pedro Igor

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.keycloak.authorization.Decision

      `Decision.Effect`

  - ### Field Summary

    - ### Fields inherited from class org.keycloak.authorization.policy.evaluation.AbstractDecisionCollector

      `results`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PermissionTicketAwareDecisionResultCollector(AuthorizationRequest request, PermissionTicketToken ticket, Identity identity, ResourceServer resourceServer, AuthorizationProvider authorization)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onComplete()`
    `protected void` | `onGrant(Permission grantedPermission)`

    - ### Methods inherited from class org.keycloak.authorization.policy.evaluation.DecisionPermissionCollector

      `grantPermission, onComplete, onError, results`

    - ### Methods inherited from class org.keycloak.authorization.policy.evaluation.AbstractDecisionCollector

      `isGranted, onComplete, onComplete, onDecision`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PermissionTicketAwareDecisionResultCollector

          public PermissionTicketAwareDecisionResultCollector(AuthorizationRequest request,
                                                              PermissionTicketToken ticket,
                                                              Identity identity,
                                                              ResourceServer resourceServer,
                                                              AuthorizationProvider authorization)

  - ### Method Detail

    - #### onGrant

          protected void onGrant(Permission grantedPermission)

      Overrides:
        `onGrant` in class `DecisionPermissionCollector`

    - #### onComplete

          public void onComplete()

      Specified by:
        `onComplete` in interface `Decision<DefaultEvaluation>`
      Overrides:
        `onComplete` in class `AbstractDecisionCollector`

Copyright © 2021 JBoss by Red Hat. All rights reserved.